# =========================================================================== #
# Gemspec for Project Md5sum.
# =========================================================================== #

Gem::Specification.new { |s|

  s.name        = 'md5sum'
  s.version     = '1.0.6'
  s.date        = Time.now.strftime('%Y-%m-%d')
  
  DESCRIPTION = <<-EOF

    A simple project to make it easier to calculate
    md5sums.

    Usage example is simple:

      Md5sum.new('foobar')
      Md5sum['foobar']

    If you have specific suggestions to make this gem more useful
    for others, please drop me an email at:

      shevegen@gmail.com.

    Thank you.

  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION

  s.extra_rdoc_files = [
    "USAGE.rdoc"
  ]

  s.authors  = ['Robert A. Heiler']
  s.licenses = 'GPL-2.0'
  s.email    = 'shevegen@gmail.com'
  s.files    = Dir['**/*']
  s.homepage = 'http://rubygems.org/gems/md5sum'

  s.required_ruby_version = '>= 2.2.3'
  s.rubygems_version = '2.5.1'

}
